package com.sagacloud.route;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.sagacloud.cache.ProPasCache;
import com.sagacloud.utils.PropUtil;
import org.apache.camel.Exchange;
import org.apache.camel.builder.RouteBuilder;

import javax.ws.rs.core.MediaType;
import java.util.ArrayList;
import java.util.List;

/**
 * Created by wo on 5/24/17.
 */
public class InitEnvRoute extends RouteBuilder {
    public static String dataPlatform = PropUtil.getProperty("dataPlatform.baseUrl");
    public static String venders = PropUtil.getProperty("venders.baseUrl");

    @Override
    public void configure() throws Exception {

        fromF("timer://simpleTimer?period=30m").to("direct:syn");



        from("direct:syn")
                .to(dataPlatform + "/mng/project/query?bridgeEndpoint=true&secret=A123456")
                .process(exchange -> {
                    ProPasCache.syncProject(exchange.getIn().getBody(String.class));
                    exchange.getIn().setBody("");
                    exchange.getIn().setHeader(Exchange.HTTP_URI, venders+"/auxiliary/vender/query?bridgeEndpoint=true");
                }).setHeader(Exchange.HTTP_METHOD, constant("POST"))
                .to(venders + "/auxiliary/vender/query?method=POST&bridgeEndpoint=true")
                .process(exchange -> {
                    ProPasCache.syncVender(exchange.getIn().getBody(String.class));
                });

        rest("/syn")
                .get()
                .to("direct:syn");



    }

}
